logo
TicketsCreate ticket

Create ticket

curl -X POST "/api/v1/tickets" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN (API key (ixk_...))" \
  -d '{
  "subject": "example_string",
  "inbox_id": "123e4567-e89b-12d3-a456-426614174000",
  "priority": "low",
  "priority_id": "123e4567-e89b-12d3-a456-426614174000",
  "assignee_id": "123e4567-e89b-12d3-a456-426614174000",
  "reporter_email": "user@example.com",
  "initial_internal_note": {
    "body_html": "example_string",
    "body_text": "example_string"
  },
  "custom_fields": {}
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "ticket_number": 42,
    "subject": "example_string",
    "inbox_id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "open",
    "status_id": "123e4567-e89b-12d3-a456-426614174000",
    "status_name": "John Doe",
    "status_color": "example_string",
    "priority": "low",
    "priority_id": "123e4567-e89b-12d3-a456-426614174000",
    "priority_name": "John Doe",
    "priority_color": "example_string",
    "assignee_id": "123e4567-e89b-12d3-a456-426614174000",
    "contact_id": "123e4567-e89b-12d3-a456-426614174000",
    "remind_at": "2024-12-25T10:00:00Z",
    "remind_transition_status_id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z",
    "custom_fields": {}
  }
}
POST
/tickets
POST
Bearer Token (API key (ixk_...))
Bearer Tokenstring
Required

API key from Settings → API. Pass as Authorization: Bearer <key>

API key from Settings → API. Pass as Authorization: Bearer <key>
Content-Typestring
Required

The media type of the request body

Options: application/json
header
Idempotency-Keystring

Optional. When sent, duplicate POSTs with the same key and identical JSON body return 201 with the same ticket (no second create). Same key with a different body returns 409 (idempotency_conflict). Entries expire after 7 days.

Max length: 256
prioritystring

Priority level

Options: low, normal, high, urgent
priority_idstring

Custom priority ID (takes precedence over priority)

Format: uuid
assignee_idstring
Format: uuid
reporter_emailstring

Optional; creates/links contact (RFC 5322 From-style supported)

initial_internal_noteobject

Optional; first internal note in same DB transaction as ticket

custom_fieldsstring

Optional; applied in the same transaction as ticket create

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (API key (ixk_...)). API key from Settings → API. Pass as Authorization: Bearer <key>

Headers

Idempotency-Keystring

Optional. When sent, duplicate POSTs with the same key and identical JSON body return 201 with the same ticket (no second create). Same key with a different body returns 409 (idempotency_conflict). Entries expire after 7 days.

Body

application/json
prioritystring

Priority level

Allowed values:lownormalhighurgent
priority_idstring

Custom priority ID (takes precedence over priority)

reporter_emailstring

Optional; creates/links contact (RFC 5322 From-style supported)

initial_internal_noteobject

Optional; first internal note in same DB transaction as ticket

custom_fieldsstring

Optional; applied in the same transaction as ticket create

Responses